<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
session_start();
//error_reporting(E_ALL ^ E_NOTICE);

if(!isset($_SESSION['logon_admin'])) {
  header('location:index.php');
  exit;
}

$botao = $_POST['botao'];

if ($botao == 'alterar senha de administrador')
{
	$_SESSION['logon_admin'] = "setSenha";
}
if ($botao == 'alterar escola')
{
	$_SESSION['logon_admin'] = "setEscola";
}
if ($botao == 'sair')
{
	unset($_SESSION['logon_admin']);
	header('location:index.php');
  	exit;
}
if ($botao == 'gerenciar usuários')
{
	$_SESSION['logon_admin'] = "admin_gerencia";
}

//carrega arquivo de conexão
include "includes/begin.php";

//recebe mensagem de erro
$msn = $_GET["msn"];

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>SEMED - Sistema de Matrícula Escolar</title>
<link href="stylo.css" rel="stylesheet" type="text/css" />
</head>

<body topmargin="0" leftmargin="0" onLoad="document.New_Form.form_usuario.focus();">
<div id="container">
   <div id="body">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td bgcolor="#E77817" height="5"></td>
  </tr>
  <tr>
    <td bgcolor="#003366" height="5"></td>
  </tr>
  <tr>
    <td><table width="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#003366">
      <tr>
        <td width="31%"><img src="images/logo_NI.jpg" width="356" height="73" /></td>
        <td width="69%"><div align="center"><img src="images/t_matricula.jpg" width="370" height="58" /></div></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td bgcolor="#003366" height="5"></td>
  </tr>
  <tr>
    <td bgcolor="#E77817" height="5"></td>
  </tr>
  <tr>
    <td>
	<?
		// Verifica se escola já cadastrada
		$sql2="select codigoescola from logon where usuario = 'admin'";
		$result2=pg_query($dbh, $sql2);

		if (!$result2) {
		   //die("Erro na selecao do usuario" . pg_last_error());
		   header('location:index.php?msn=3');
		}

		$row2 = pg_fetch_array($result2);
		if(($row2['codigoescola']!="") || (isset($row2['codigoescola']))) {
		?>
    <div align="right"><form action="gerencia.php" method="post" enctype="application/x-www-form-urlencoded" name="New_Form" id="New_Form">
      <label>
      <input name="botao" type="submit" class="botao2" id="botao" value="gerenciar usuários" />
      </label>
      <label>
      <input name="botao" type="submit" class="botao2" id="botao" value="alterar senha de administrador" />
      </label>
      <label>
      <input name="botao" type="submit" class="botao2" id="botao" value="alterar escola" />
      </label>
      <label>
      <input name="botao" type="submit" class="botao2" id="botao" value="sair" />
      </label>

    </form></div>  <? }?>  </td>
  </tr>
  <tr>
    <td class="titulos2"><div align="center">
      <p>Sistema de Administração</p>
      <p><span class="legendas">
          <?
			// Seleciona dados do admin
			$sql="select * from logon where usuario = 'admin'";
			$result=pg_query($dbh, $sql);

			if (!$result) {
			   //die("Erro na selecao do usuario" . pg_last_error());
			   header('location:index.php?msn=3');
			   exit;
			}

			$row = pg_fetch_array($result);
			if (!isset($row['codigoescola']) || $row['codigoescola']=="")
			{
				$codescola = 0;
			}
			else
			{
				$codescola = $row['codigoescola'];
			}

			$sql3="select * from escola where codigoescola = '".$codescola."'";
			$result3=pg_query($dbh, $sql3);
			if ($result3) {
				$row3 = pg_fetch_array($result3);
				echo "ESCOLA ".$row3['nomeescola'];
			}
		?>
      </span></p>
    </div></td>
  </tr>
  <?
	if(($_SESSION['logon_admin']=='admin_setSenha')||($_SESSION['logon_admin']=='setSenha'))
	//if(trim($row['senha'])=='admin')
	{
  ?>
  <tr>
    <td><form action="rotinaGerencia.php" method="post" enctype="application/x-www-form-urlencoded" name="New_Form" id="New_Form">
        <table width="450" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td><div align="center" class="tituloFundo">Alterar Senha de Administrator</div></td>
          </tr>
          <tr>
            <td bgcolor="#EFEFEF"><div align="center" class="endereco"><strong>
                <?
			  	switch ($msn)
				{
				case '1':
				  echo "erro na exclusão de usuário!";
				  break;
				case '2':
				  echo "usuário excluído com sucesso!";
				  break;
				case '3':
				  echo "erro na seleção de usuário!";
				  break;
				case '4':
				  echo "erro na alteração de senha!";
				  break;
				case '5':
				  echo "senhas não conferem!";
				  break;
				case '6':
				  echo "senha alterada com sucesso!";
				  break;
				case '7':
				  echo "erro ao atualizar escola!";
				  break;
				case '8':
				  echo "escola alterada com sucesso!";
				  break;
				case '9':
				  echo "usuario já cadastrado!";
				  break;
				case '10':
				  echo "erro na geração da senha do usuario!";
				  break;
				case '11':
				  echo "usuário cadastrado com sucesso!";
				  break;
				}
			?>
              &nbsp;</strong></div></td>
          </tr>
          <tr>
            <td bgcolor="#EFEFEF"><table width="418" border="0" align="center" cellpadding="0" cellspacing="0">
                <? if (isset($row['codigoescola'])) {?>
                <tr>
                  <td><div align="right"><strong>senha atual:</strong></div></td>
                  <td colspan="2">&nbsp;
                  <input name="form_atualSenha" type="password" class="campos" id="form_atualSenha" tabindex="1"/></td>
                </tr>
                <? }?>
                <tr>
                  <td width="149"><div align="right"><strong>nova senha:</strong></div></td>
                  <td colspan="2">
                    &nbsp;
                  <input name="form_nSenha" type="password" class="campos" id="form_nSenha" tabindex="2"/>                  </td>
                </tr>
                <tr>
                  <td><div align="right"><strong>confirma nova senha:</strong></div></td>
                  <td width="144">&nbsp;
                  <input name="form_cnSenha" type="password" class="campos" id="form_cnSenha" tabindex="3"/></td>
                  <td width="125"><input name="botao" type="submit" class="botao" tabindex="4" value="enviar senha" /></td>
                </tr>
            </table></td>
          </tr>
          <tr>
            <td bgcolor="#EFEFEF">&nbsp;</td>
          </tr>
          <tr>
            <td bgcolor="#E77817" height="10"></td>
          </tr>
        </table>
    </form></td>
  </tr>

  <?
  }
  else
  if ((!isset($row['codigoescola']) || $row['codigoescola']=='')||($_SESSION['logon_admin']=='setEscola'))
  {
  ?>

  <tr>
    <td><form name="New_Form" action="rotinaGerencia.php" method="post" enctype="application/x-www-form-urlencoded">
      <table width="450" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td><div align="center" class="tituloFundo">Seleção de Escola</div></td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">
		    <div align="center" class="endereco"><strong>
		      <?
			  	switch ($msn)
				{
				case '1':
				  echo "erro na exclusão de usuário!";
				  break;
				case '2':
				  echo "usuário excluído com sucesso!";
				  break;
				case '3':
				  echo "erro na seleção de usuário!";
				  break;
				case '4':
				  echo "erro na alteração de senha!";
				  break;
				case '5':
				  echo "senhas não conferem!";
				  break;
				case '7':
				  echo "erro ao atualizar escola!";
				  break;
				case '8':
				  echo "escola alterada com sucesso!";
				  break;
				case '9':
				  echo "usuario já cadastrado!";
				  break;
				case '10':
				  echo "erro na geração da senha do usuario!";
				  break;
				case '11':
				  echo "usuário cadastrado com sucesso!";
				  break;
				}
			?>
	        &nbsp;</strong></div></td>
        </tr>

        <tr>
          <td bgcolor="#EFEFEF"><table width="418" border="0" align="center" cellpadding="0" cellspacing="0">
              <?
				// seleciona as escolas
				$sql="select * from escola order by nomeescola";
				$result=pg_query($dbh, $sql);

				if (!$result) {
				   //die("Erro na selecao do usuario" . pg_last_error());
				   header('location:index.php?msn=3');
				}
              ?>
              <tr>
                <td width="55"><strong>escola:</strong></td>
                <td width="310">
				<select name="form_codigoEscolaMatricula" class="campos" id="form_codigoEscolaMatricula" tabindex="3">
                    <?
					  while($row = pg_fetch_array($result))
					  {
					?>
                    <option value="<? echo trim($row['codigoescola'])?>" <? if ($_SESSION['f_codigoEscolaMatricula'] == trim($row['codigoescola'])){ echo 'selected="selected"';}?>><? echo $row['nomeescola']?></option>
                    <?
					  }
                    ?>
                  </select>            </td>
                <td width="53"><input name="botao" type="submit" class="botao" tabindex="4" value="enviar" id="botao" /></td>
              </tr>
          </table>            </td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td bgcolor="#E77817" height="10"></td>
        </tr>
      </table>
        </form>    </td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <?
  }
  else
  if($_SESSION['logon_admin']=='admin_gerencia')
  //if(trim($row['codigoescola'])=='')
  {
  ?>

  <tr>
    <td><form name="New_Form" action="rotinaGerencia.php" method="post" enctype="application/x-www-form-urlencoded">
    	<input type="hidden" name="form_codigoEscola" value="<?= $codescola ?>"></input>
      <table width="450" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td><div align="center" class="titulos3">Cadastrar Usuários</div></td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">
		    <div align="center" class="endereco"><strong>
		      <?
			  	switch ($msn)
				{
				case '1':
				  echo "erro na exclusão de usuário!";
				  break;
				case '2':
				  echo "usuário excluído com sucesso!";
				  break;
				case '3':
				  echo "erro na seleção de usuário!";
				  break;
				case '4':
				  echo "erro na alteração de senha!";
				  break;
				case '5':
				  echo "senhas não conferem!";
				  break;
				case '6':
				  echo "senha alterada com sucesso!";
				  break;
				case '7':
				  echo "erro ao atualizar escola!";
				  break;

				case '9':
				  echo "usuario já cadastrado!";
				  break;
				case '10':
				  echo "erro na geração da senha do usuario!";
				  break;
				case '11':
				  echo "usuário cadastrado com sucesso!";
				  break;
				}
			?>
	        &nbsp;</strong></div></td>
        </tr>

        <tr>
          <td bgcolor="#EFEFEF"><table width="418" border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
                <td><div align="right"><strong>usuario:</strong></div></td>
                <td>&nbsp;
                  <input name="form_usuario" type="text" class="campos2" id="form_usuario" tabindex="1"/></td>
                <td>&nbsp;</td>
              </tr>
              <tr>
                <td><div align="right"><strong>senha:</strong></div></td>
                <td>&nbsp;
                  <input name="form_nSenha" type="password" class="campos2" id="form_nSenha" tabindex="2"/></td>
                <td>&nbsp;</td>
              </tr>
              <tr>
                <td width="135"><div align="right"><strong>confirmar senha:</strong></div></td>
                <td width="150">&nbsp;
                  <input name="form_cnSenha" type="password" class="campos2" id="form_cnSenha" tabindex="3"/></td>
                <td width="133"><div align="center">
                  <input name="botao" type="submit" class="botao2" tabindex="4" value="cadastrar" id="botao" />
                </div></td>
              </tr>
          </table>            </td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td bgcolor="#003366" height="10"></td>
        </tr>
      </table>
        </form>    </td>
  </tr>
  <tr>
    <td><table width="450" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td colspan="2" height="10"></td>
        </tr>
      <tr>
        <td width="369" class="titulos3"><div align="center">Usuário</div></td>
        <td width="81" class="titulos3"><div align="center">Ação</div></td>
      </tr>
        <?
      		// seleciona os usuarios
			$sql="select * from logon where usuario not in ('admin') and codigoescola = '$codescola' order by usuario";
			$result=pg_query($dbh, $sql);

			if (!$result) {
			   //die("Erro na selecao do usuario" . pg_last_error());
			   header('location:index.php?msn=3');
			}

		    while($row = pg_fetch_array($result))
		    {
		?>
      <tr>
        <td><? echo $row['usuario'];?></td>
        <td><div align="center"><a href="rotinaGerencia.php?acao=remover&idUser=<? echo $row['usuario'];?>"><img src="images/excluir.gif" width="14" height="17" border="0" /></a></div></td>
      </tr>
      <? }?>
      <tr>
        <td height="10" colspan="2" class="titulos3"></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <? }?>
  <tr>
    <td>&nbsp;</td>
  </tr>
</table>
   </div>
   <div id="footer"><? include "includes/rodape.php"; ?></div>
</div>
</body>
</html>
<?
//carrega arquivo para finalizar conexão
include "includes/end.php";
?>


